CURLINFO_CONTENT_LENGTH_DOWNLOAD(3)

NAME
CURLINFO_CONTENT_LENGTH_DOWNLOAD - get content-length of download

SYNOPSIS
#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_CONTENT_LENGTH_DOWNLOAD,
                        double *content_length);

DESCRIPTION
Pass a pointer to a double to receive the content-length of the download. This is the value read from the Content-Length: field. Since 7.19.4, this returns -1 if the size isn't known.

PROTOCOLS
HTTP(S)

EXAMPLE
TODO

AVAILABILITY
Added in 7.6.1

RETURN VALUE
Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

SEE ALSO
curl_easy_getinfo(3), curl_easy_setopt(3), CURLINFO_CONTENT_LENGTH_UPLOAD(3),